aboutsummaryrefslogtreecommitdiffstats
path: root/main/lsof
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-10-28 14:22:59 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-10-28 14:23:09 +0000
commit448c51ff5279c72a2f9c7381d724540537f1ffd4 (patch)
tree63da28100a7ef3db94426880bc96eb683e4b20d1 /main/lsof
parent290d2c96afe07e951b14793f9aa1f1953f37b911 (diff)
downloadaports-448c51ff5279c72a2f9c7381d724540537f1ffd4.tar.gz
aports-448c51ff5279c72a2f9c7381d724540537f1ffd4.tar.bz2
aports-448c51ff5279c72a2f9c7381d724540537f1ffd4.tar.xz
main/lsof: fix musl build
Diffstat (limited to 'main/lsof')
-rw-r--r--main/lsof/APKBUILD18
-rw-r--r--main/lsof/fix-includes.patch15
2 files changed, 29 insertions, 4 deletions
diff --git a/main/lsof/APKBUILD b/main/lsof/APKBUILD
index c1ce5851c9..12be8b8e91 100644
--- a/main/lsof/APKBUILD
+++ b/main/lsof/APKBUILD
@@ -9,7 +9,8 @@ license="custom"
subpackages="$pkgname-doc"
depends=
makedepends=""
-source="ftp://sunsite.ualberta.ca/pub/Mirror/$pkgname/${pkgname}_$pkgver.tar.bz2"
+source="ftp://sunsite.ualberta.ca/pub/Mirror/$pkgname/${pkgname}_$pkgver.tar.bz2
+ fix-includes.patch"
_builddir="$srcdir"/${pkgname}_${pkgver}/${pkgname}_${pkgver}_src
@@ -21,6 +22,12 @@ prepare() {
cd "$_builddir"
sed -e "s|/\* #define\tHASSECURITY\t1 \*/|#define\tHASSECURITY\t1|" \
-i dialects/linux/machine.h
+
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build () {
@@ -35,6 +42,9 @@ package() {
install -D -m0644 -o root -g root lsof.8 \
"$pkgdir"/usr/share/man/man8/lsof.8
}
-md5sums="80e2a76d0e05826db910ec88e631296c lsof_4.87.tar.bz2"
-sha256sums="dfdd3709d82bc79ccdf3e404b84aafa9aede5948642a824ecaefd0aac589da2c lsof_4.87.tar.bz2"
-sha512sums="5e811225dd65366e3ef49628d567864fadda1dbda2d66a5e473123e73c468f5a3a577ae4e1b701a55ac49c2a759dab5c413663121c260a2804fca10ece902766 lsof_4.87.tar.bz2"
+md5sums="80e2a76d0e05826db910ec88e631296c lsof_4.87.tar.bz2
+92f341e3bd0e942ad1bb5a8c39ea5989 fix-includes.patch"
+sha256sums="dfdd3709d82bc79ccdf3e404b84aafa9aede5948642a824ecaefd0aac589da2c lsof_4.87.tar.bz2
+93aa0c02bd46a228a488daa9ba7a13f7b88f46cad244dc3a1ce798ab4285371e fix-includes.patch"
+sha512sums="5e811225dd65366e3ef49628d567864fadda1dbda2d66a5e473123e73c468f5a3a577ae4e1b701a55ac49c2a759dab5c413663121c260a2804fca10ece902766 lsof_4.87.tar.bz2
+6022c79c3ddfeada603d7e88d22c0a3f60a09d42be9e3844d0d650b68761edcb12a20bd19e4b84342b3b2c1ac3d6c3b8690d81c9834301000734b71bc63cf63f fix-includes.patch"
diff --git a/main/lsof/fix-includes.patch b/main/lsof/fix-includes.patch
new file mode 100644
index 0000000000..6bcc2d5641
--- /dev/null
+++ b/main/lsof/fix-includes.patch
@@ -0,0 +1,15 @@
+--- lsof_4.87_src/dialects/linux/dlsof.h
++++ lsof_4.87_src/dialects/linux/dlsof.h
+@@ -49,12 +49,7 @@
+ #include <setjmp.h>
+ #include <unistd.h>
+ #include <netinet/in.h>
+-
+-# if defined(GLIBCV) || defined(__UCLIBC__)
+ #include <netinet/tcp.h>
+-# else /* !defined(GLIBCV) && !defined(__UCLIBC__) */
+-#include <linux/tcp.h>
+-# endif /* defined(GLIBCV) || defined(__UCLIBC__) */
+
+ # if !defined(HASNORPC_H)
+ #include <rpc/rpc.h>